"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function timeoutMiddlewareProvider(timeout) {
    async function timeoutMiddleware(ctx, next) {
        ctx.req.socket.setTimeout(timeout, () => {
        });
        await next();
    }
    return timeoutMiddleware;
}
exports.timeoutMiddlewareProvider = timeoutMiddlewareProvider;
